org.apache.solr.client.solrj.cloud.autoscaling

## Class Suggestion

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Suggestion

    public class Suggestion
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Suggestion.ConditionType`

### Field Summary

Fields
`static Map<String,String>` `tagVsPerReplicaVal`

### Constructor Summary

Constructors
Constructor and Description
`Suggestion()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Suggestion.ConditionType` `getTagType(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tagVsPerReplicaVal

    public static final Map<String,String> tagVsPerReplicaVal

### Constructor Detail

#### Suggestion

    public Suggestion()

### Method Detail

#### getTagType

    public static Suggestion.ConditionType getTagType(String name)